<div class="sheet-container">
    <img class="background" src="{{backgroundImages.url}}" title="{{localize backgroundImages.title}}"
         alt="{{localize 'tor2e.undertakings.details.tech.alt'}}"/>
    <form class="{{cssClass}} flexrow" autocomplete="off">

        {{> "systems/tor2e/templates/sheets/items/components/item-header-card.hbs"
                item=this.item
                label="tor2e.items.undertakings.title"
                alt="tor2e.items.undertakings.tech.alt"}}

        <div class="sheet-content flexcol">

            <nav class="sheet-tabs tabs undertakings">
                <a class="item" data-tab="details"><i class="fas fa-book"></i> {{localize "EFFECT.TabDetails"}}</a>
                <a class="item" data-tab="effects"><i class="fas fa-cogs"></i> {{localize "EFFECT.TabEffects"}}</a>
            </nav>

            <div class="sheet-body">
                <div class="tab" data-tab="details">
                    {{#if this.item.isEmbedded}}
                        <div class="item-row flexrow">
                            <div class="item-element flexcol">
                                <label class="attribute-label" for="system.year.value">{{localize
                                        system.year.label}}</label>
                                <input id="system.year.value" class="attribute-number-value"
                                       name="system.year.value" type="number"
                                       data-dtype="{{system.year.type}}"
                                       value="{{system.year.value}}"
                                       placeholder="{{localize system.year.label}}"/>
                            </div>
                            <div class="item-element flexcol">
                                <label class="attribute-label" for="system.season.value">{{localize
                                        system.season.label}}</label>
                                <select id="system.season.value" class="auto-sizeable"
                                        name="system.season.value">
                                    {{selectOptions config.seasons
                                                    selected=system.season.value
                                                    localize=true
                                    }}
                                </select>
                            </div>
                            <div class="item-element flexcol">
                                <label class="attribute-label" for="system.location.value">{{localize
                                        system.location.label}}</label>
                                <div class="flexrow">
                                    <input id="system.location.value" class="attribute-value"
                                           name="system.location.value" type="text"
                                           data-dtype="{{system.location.type}}"
                                           value="{{system.location.value}}"
                                           placeholder="{{localize system.location.label}}"/>
                                </div>
                            </div>
                        </div>

                        <div class="item-row flexrow">
                            <div class="item-element flexcol">
                                <label for="system.active.value-{{item.id}}">{{localize system.active.label}}</label>
                                <input id="system.active.value-{{item.id}}" class="attribute-value"
                                       name="system.active.value"
                                       type="checkbox"
                                       value="{{system.active.value}}"
                                       data-dtype="{{system.active.type}}" {{checked system.active.value}}/>
                            </div>

                            <div class="item-element flexcol">
                                <label for="system.free.value-{{item.id}}">{{localize system.free.label}}</label>
                                <input id="system.free.value-{{item.id}}" class="attribute-value"
                                       name="system.free.value"
                                       type="checkbox"
                                       value="{{system.free.value}}"
                                       data-dtype="{{system.free.type}}" {{checked system.free.value}}/>
                            </div>

                            <div class="item-element flexcol">
                                <label for="system.yule.value-{{item.id}}">{{localize system.yule.label}}</label>
                                <input id="system.yule.value-{{item.id}}" class="attribute-value"
                                       name="system.yule.value"
                                       type="checkbox"
                                       value="{{system.yule.value}}"
                                       data-dtype="{{system.yule.type}}" {{checked system.yule.value}}/>
                            </div>
                        </div>

                    {{/if}}

                    {{#unless this.item.isEmbedded}}
                        <div class="item-row flexrow">
                            <div class="item-element flexcol">
                                <label for="system.canBeFree.value-{{item.id}}">{{localize
                                        system.canBeFree.label}}</label>
                                <input id="system.canBeFree.value-{{item.id}}" class="attribute-value"
                                       name="system.canBeFree.value"
                                       type="checkbox"
                                       value="{{system.canBeFree.value}}"
                                       data-dtype="{{system.canBeFree.type}}" {{checked system.canBeFree.value}}/>
                            </div>
                            <div class="item-element flexcol">
                                {{#if system.canBeFree.value}}
                                    <label for="system.calling.value-{{item.id}}" class="attribute-label">{{localize
                                            system.calling.label}}</label>
                                    <select id="system.calling.value-{{item.id}}" class="auto-sizeable"
                                            name="system.calling.value">
                                        {{selectOptions config.callingGroups
                                                        selected=system.calling.value
                                                        localize=true
                                        }}
                                    </select>
                                {{/if}}
                            </div>
                            <div class="item-element flexcol">
                                <label for="system.canBeYule.value-{{item.id}}">{{localize
                                        system.canBeYule.label}}</label>
                                <input id="system.canBeYule.value-{{item.id}}" class="attribute-value"
                                       name="system.canBeYule.value"
                                       type="checkbox"
                                       value="{{system.canBeYule.value}}"
                                       data-dtype="{{system.canBeYule.type}}" {{checked system.canBeYule.value}}/>
                            </div>
                        </div>
                    {{/unless}}

                    <div class="flexcol">
                        {{#if this.item.isEmbedded}}
                            <section id="usage flexcol">
                                <h2>{{localize system.usage.label}}</h2>
                                {{editor usage target="system.usage.value" button=true editable=true}}
                            </section>
                        {{/if}}
                        <section id="description flexcol">
                            <h2  {{#if this.item.isEmbedded}} class="toggle"{{/if}}>{{localize
                                    system.description.label}}</h2>
                            {{#if this.item.isEmbedded}}
                                <div class="editor-container description">
                                    {{editor description target="system.description.value" button=true editable=true}}
                                </div>
                            {{/if}}
                            {{#unless this.item.isEmbedded}}
                                {{editor description target="system.description.value" button=true editable=true}}
                            {{/unless}}
                        </section>
                    </div>
                </div>
                <div class="tab flexcol" data-tab="effects">
                    {{> "systems/tor2e/templates/sheets/items/components/item-active-effects-card.hbs"
                            activeEffects=this.effects}}
                </div>
            </div>
        </div>


    </form>
</div>
